Add support for VC2012
Status: Approved Start date: 11/14/2012
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 100%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=7045&#38;start=0x%x%

History

#1 - 05/27/2013 12:04 PM - Sender Ghost
- File 353_uppsrc.diff added

- Category set to IDE

- Status changed from New to Patch ready
- Assignee set to Miroslav Fidler

| created the patch for initial support:
- Added MSC11 and MSC11X64 builders (mainly, to distinguish them).
- Redesigned the interface, based on TabCtrl and list of layouts (with possible extensibility).

The include and library directories were added by analogy. Further support will require to install Visual Studio 2012 and check them. There is Visual

Studio 2012 topic on the forum, which might help. Personally, | don't have required Windows version.

#2 - 05/28/2013 08:29 AM - Miroslav Fidler
- Status changed from Patch ready to Approved

Thanks, nice!

#3 - 05/28/2013 09:23 AM - Sender Ghost
- File 353 _uppsrc_fix.diff added
- Status changed from Approved to Patch ready

Small fix for the patch.

#4 - 05/29/2013 10:17 AM - Sender Ghost
- Status changed from Patch ready to Approved

r6125

#5 - 06/04/2013 12:17 AM - Sender Ghost
http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=7045&#38;start=0x%x
/forum/index.php?t=msg&#38;th=6964
/forum/index.php?t=msg&#38;th=6964

- File 353_uppsrc2.diff added
- Status changed from Approved to Patch ready
- % Done changed from 0 to 100

| created second patch, which corrects include and library directories.

#6 - 06/04/2013 01:04 AM - Sender Ghost

There are also "arm" SDK subdirectories (along with "x64" and "x86"), but I'm not sure about them.

#7 - 06/08/2013 10:49 AM - Sender Ghost
- Priority changed from Normal to High

Since, this feature is not complete (as people said on the forum) without last patch, | raised its priority.

#8 - 08/16/2013 07:38 AM - Sender Ghost
- Status changed from Patch ready to Approved
- Priority changed from High to Normal

r6163

Files

353_uppsrc.diff 29.1 KB 05/27/2013 Sender Ghost

353_uppsrc_fix.diff 462 Bytes 05/28/2013 Sender Ghost

353_uppsrc2.diff 3.52 KB 06/03/2013 Sender Ghost
